Bug 131796 - sa-exim doesn't recognise spamassassin's new score= string
sa-exim doesn't recognise spamassassin's new score= string
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-04 14:42 EDT by Steven Whitehouse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 03:59:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Whitehouse 2004-09-04 14:42:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040114 Epiphany/1.0.7

Description of problem:
Spamassassin as supplied in FC3T1 outputs a string of the form
score= rather than hits=, but sa-exim hasn't yet been updated
to parse this new form of string resulting in errors in the logs
for all messages run through sa-exim. It appears from various
mailing lists that this is fixed in the CVS version of the
sa-exim code, but it hasn't made it into the rpm yet.

As a temporary work around, I just made myself a small patch to change
hits= to score= in sa-exim.c and rebuilt the source rpm.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Just follow the install instructions
2.
3.
    

Actual Results:  An example excerpt from main.log:

2004-09-04 15:10:07 1C3bDA-0006hV-Qw SA: Debug: SAEximRunCond expand
returned: '1'
2004-09-04 15:10:07 1C3bDA-0006hV-Qw SA: Debug: check succeeded,
running spamc
2004-09-04 15:10:08 1C3bDA-0006hV-Qw SA: PANIC: SA: could not parse
X-Spam-Status: to extract hits and required. Bad!. Got:
'X-Spam-Status: Yes, score=6.7 required=5.0
tests=ALL_TRUSTED,DRUGS_ERECTILE,
        DRUG_ED_CAPS,HTML_50_60,HTML_FONT_BIG,HTML_FONT_SIZE_LARGE,
       
HTML_MESSAGE,HTML_MISSING_CTYPE,HTML_SHORT_LENGTH,LINES_OF_YELLING,
       
LINES_OF_YELLING_2,MISSING_DATE,MISSING_HEADERS,SUBJECT_DRUG_GAP_VIA,
        SUBJ_ALL_CAPS autolearn=no version=3.0.0-pre1
' (but message was accepted)
2004-09-04 15:10:08 1C3bDA-0006hV-Qw SA: Debug: Writing message to
/var/spool/exim/SAerrorsave/new/1094307007_1C3bDA-0006hV-Qw
2004-09-04 15:10:08 1C3bDA-0006hV-Qw <= stevew@acm.org
H=www.chygwyn.com (henge.chygwyn.com) [212.250.92.153] P=smtp S=969
2004-09-04 15:10:08 1C3bDA-0006hV-Qw => steve
<steve@souterrain.chygwyn.com> R=localuser T=local_delivery
2004-09-04 15:10:08 1C3bDA-0006hV-Qw Completed


Expected Results:  After patching the file, the correct results look
something like
this:

2004-09-04 19:22:52 1C3fAP-0007Ro-4s SA: Debug: SAEximRunCond expand
returned: '1'
2004-09-04 19:22:52 1C3fAP-0007Ro-4s SA: Debug: check succeeded,
running spamc
2004-09-04 19:22:57 1C3fAP-0007Ro-4s SA: Debug: SAEximRejCond expand
returned: '1'
2004-09-04 19:22:57 1C3fAP-0007Ro-4s SA: Debug: Writing message to
/var/spool/exim/SAtempreject/new/1C3fAP-0007Ro-4s
2004-09-04 19:22:57 1C3fAP-0007Ro-4s SA: Notice: creating maildir tree
in  /var/spool/exim/SAtempreject
2004-09-04 19:22:57 1C3fAP-0007Ro-4s SA: Action: temporarily rejected
message: score=6.1 required=5.0 trigger=5.0 (scanned in 5/5 secs |
Message-Id: 1C3fAP-0007Ro-4s). From <steve@chygwyn.com>
(host=www.chygwyn.com [212.250.92.153]) for steve@chygwyn.com
2004-09-04 19:22:57 1C3fAP-0007Ro-4s F=steve@chygwyn.com
H=www.chygwyn.com (henge.chygwyn.com) [212.250.92.153] P=smtp
temporarily rejected by local_scan(): Please try again later


Additional info:
Comment 1 Thomas Woerner 2004-09-14 03:59:31 EDT
Fixed in rawhide in rpm exim-4.42-2 or newer.

Note You need to log in before you can comment on or make changes to this bug.